# Couenne::ExprJac Class Reference

Jacobian of the problem (computed through Couenne expression classes). More...

`#include <CouenneExprJac.hpp>`

List of all members.

## Public Member Functions
| ExprJac ()
| ExprJac (CouenneProblem *)
| ~ExprJac ()
| ExprJac (const ExprJac &)
ExprJac * | clone ()
ExprJac & | operator= (const ExprJac &)
int | nnz () const
int * | iRow () const
int * | jCol () const
expression ** | expr () const
int | nRows () const
## Private Attributes
int | nnz_
| number of (symbolic) nonzeroes
int * | iRow_
| row indices (read this way by eval_jac_g)
int * | jCol_
| col indices
expression ** | expr_
| nonzero expression elements (there are nnz_ of them)
int | nRows_
| number of actual constraints

## Detailed Description

Jacobian of the problem (computed through Couenne expression classes).

Definition at line 21 of file CouenneExprJac.hpp.

## Constructor & Destructor Documentation

Couenne::ExprJac::ExprJac | ( |  | ) |

Couenne::ExprJac::ExprJac | ( | CouenneProblem * |  | ) |

Couenne::ExprJac::~ExprJac | ( |  | ) |

Couenne::ExprJac::ExprJac | ( | const ExprJac & |  | ) |

## Member Function Documentation

ExprJac* Couenne::ExprJac::clone | ( |  | ) |

ExprJac& Couenne::ExprJac::operator= | ( | const ExprJac & |  | ) |

int Couenne::ExprJac::nnz | ( |  | ) | const`[inline]`

Definition at line 43 of file CouenneExprJac.hpp.

References nnz_.

int* Couenne::ExprJac::iRow | ( |  | ) | const`[inline]`

Definition at line 44 of file CouenneExprJac.hpp.

References iRow_.

int* Couenne::ExprJac::jCol | ( |  | ) | const`[inline]`

Definition at line 45 of file CouenneExprJac.hpp.

References jCol_.

expression** Couenne::ExprJac::expr | ( |  | ) | const`[inline]`

Definition at line 47 of file CouenneExprJac.hpp.

References expr_.

int Couenne::ExprJac::nRows | ( |  | ) | const`[inline]`

Definition at line 49 of file CouenneExprJac.hpp.

References nRows_.

## Member Data Documentation

int Couenne::ExprJac::nnz_`[private]`

number of (symbolic) nonzeroes

Definition at line 25 of file CouenneExprJac.hpp.

Referenced by nnz().

int* Couenne::ExprJac::iRow_`[private]`

row indices (read this way by eval_jac_g)

Definition at line 26 of file CouenneExprJac.hpp.

Referenced by iRow().

int* Couenne::ExprJac::jCol_`[private]`

col indices

Definition at line 27 of file CouenneExprJac.hpp.

Referenced by jCol().

expression** Couenne::ExprJac::expr_`[private]`

nonzero expression elements (there are nnz_ of them)

Definition at line 29 of file CouenneExprJac.hpp.

Referenced by expr().

int Couenne::ExprJac::nRows_`[private]`

number of actual constraints

Definition at line 31 of file CouenneExprJac.hpp.

Referenced by nRows().

The documentation for this class was generated from the following file:

- CouenneExprJac.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines